import { FactoryProviderOptions } from '@jchpro/nest-common';
import { DynamicModule } from "@nestjs/common";
import { CrudOptions } from "./types/crud";
export declare class MongooseCrudModule {
    static forFeature(options?: CrudOptions): DynamicModule;
    static forRoot(options?: CrudOptions): DynamicModule;
    static forFeatureAsync(options: FactoryProviderOptions<CrudOptions>): DynamicModule;
    static forRootAsync(options: FactoryProviderOptions<CrudOptions>): DynamicModule;
    private static syncProvider;
    private static asyncProvider;
    private static initialize;
}
