import { IdentifiableSchema } from "../types/schemas";
import { Document, Schema as MongooseSchema } from "mongoose";
/**
 * @ignore
 */
export declare class ChangelogLock implements IdentifiableSchema {
    readonly _id: MongooseSchema.Types.ObjectId;
    locked: boolean;
    processId: number;
}
export type ChangelogLockDocument = ChangelogLock & Document;
export declare const ChangelogLockSchema: MongooseSchema<ChangelogLock, import("mongoose").Model<ChangelogLock, any, any, any, Document<unknown, any, ChangelogLock> & ChangelogLock & Required<{
    _id: MongooseSchema.Types.ObjectId;
}> & {
    __v: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, ChangelogLock, Document<unknown, {}, import("mongoose").FlatRecord<ChangelogLock>> & import("mongoose").FlatRecord<ChangelogLock> & Required<{
    _id: MongooseSchema.Types.ObjectId;
}> & {
    __v: number;
}>;
