import { IdentifiableSchema } from "../types/schemas";
import { Document, Schema as MongooseSchema } from "mongoose";
/**
 * @ignore
 */
export declare class Changelog implements IdentifiableSchema {
    readonly _id: MongooseSchema.Types.ObjectId;
    identifier: string;
    applied: Date;
}
export type ChangelogDocument = Changelog & Document;
export declare const ChangelogSchema: MongooseSchema<Changelog, import("mongoose").Model<Changelog, any, any, any, Document<unknown, any, Changelog> & Changelog & Required<{
    _id: MongooseSchema.Types.ObjectId;
}> & {
    __v: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Changelog, Document<unknown, {}, import("mongoose").FlatRecord<Changelog>> & import("mongoose").FlatRecord<Changelog> & Required<{
    _id: MongooseSchema.Types.ObjectId;
}> & {
    __v: number;
}>;
