"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppSchemaFactory = AppSchemaFactory;
const mongoose_1 = require("@nestjs/mongoose");
/**
 * Returns Schema decorator combining provided `defaultOptions` with specific schema options.
 */
function AppSchemaFactory(defaultOptions) {
    return function AppSchema(options) {
        return (0, mongoose_1.Schema)({
            ...defaultOptions,
            ...options,
        });
    };
}
